FLTK 1.4.4: Fl_Choice Class Reference

FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Choice Class Reference

A button that is used to pop up a menu. More...

`#include <Fl_Choice.H>`

Inheritance diagram for Fl_Choice:

## Public Member Functions
| Fl_Choice (int X, int Y, int W, int H, const char *L=0)
| Create a new Fl_Choice widget using the given position, size and label string.
int | handle (int) FL_OVERRIDE
| Handles the specified event.
int | value () const
| Gets the index of the last item chosen by the user.
int | value (const Fl_Menu_Item *v)
| Sets the currently selected value using a pointer to menu item.
int | value (int v)
| Sets the currently selected value using the index into the menu item array.
Public Member Functions inherited from Fl_Menu_
int | add (const char *)
| This is a Forms (and SGI GL library) compatible add function, it adds many menu items, with '|' separating the menu items, and tab separating the menu item names from an optional shortcut string.
int | add (const char *, int shortcut, Fl_Callback *, void *=0, int=0)
| Adds a new menu item.
int | add (const char *a, const char *b, Fl_Callback *c, void *d=0, int e=0)
| See int Fl_Menu_::add(const char* label, int shortcut, Fl_Callback*, void *user_data=0, int flags=0)
void | clear ()
| Same as menu(NULL), set the array pointer to null, indicating a zero-length menu.
int | clear_submenu (int index)
| Clears the specified submenu pointed to by `index` of all menu items.
void | copy (const Fl_Menu_Item *m, void *user_data=0)
| Sets the menu array pointer with a copy of m that will be automatically deleted.
Fl_Boxtype | down_box () const
| This box type is used to surround the currently-selected items in the menus.
void | down_box (Fl_Boxtype b)
| Sets the box type used to surround the currently-selected items in the menus.
Fl_Color | down_color () const
| For back compatibility, same as selection_color()
void | down_color (unsigned c)
| For back compatibility, same as selection_color()
int | find_index (const char *name) const
| Find the menu item index for a given menu `pathname`, such as "Edit/Copy".
int | find_index (const Fl_Menu_Item *item) const
| Find the index into the menu array for a given `item`.
int | find_index (Fl_Callback *cb) const
| Find the index into the menu array for a given callback `cb`.
const Fl_Menu_Item * | find_item (const char *name)
| Find the menu item for a given menu `pathname`, such as "Edit/Copy".
const Fl_Menu_Item * | find_item (Fl_Callback *)
| Find the menu item for the given callback `cb`.
const Fl_Menu_Item * | find_item_with_argument (long)
| Find the menu item for the given user argument `v`.
const Fl_Menu_Item * | find_item_with_user_data (void *)
| Find the menu item for the given user data `v`.
| Fl_Menu_ (int, int, int, int, const char *=0)
| Creates a new Fl_Menu_ widget using the given position, size, and label string.
void | global ()
| Make the shortcuts for this menu work no matter what window has the focus when you type it.
int | insert (int index, const char *, int shortcut, Fl_Callback *, void *=0, int=0)
| Inserts a new menu item at the specified `index` position.
int | insert (int index, const char *a, const char *b, Fl_Callback *c, void *d=0, int e=0)
| See int Fl_Menu_::insert(const char* label, int shortcut, Fl_Callback*, void *user_data=0, int flags=0)
int | item_pathname (char *name, int namelen, const Fl_Menu_Item *finditem=0) const
| Get the menu 'pathname' for the specified menuitem.
const Fl_Menu_Item * | menu () const
| Returns a pointer to the array of Fl_Menu_Items.
void | menu (const Fl_Menu_Item *m)
| Sets the menu array pointer directly.
Fl_Boxtype | menu_box () const
| Get the box type for the menu popup windows.
void | menu_box (Fl_Boxtype b)
| Set the box type for the menu popup windows.
const Fl_Menu_Item * | menu_end ()
| Finishes menu modifications and returns menu().
int | mode (int i) const
| Get the flags of item i.
void | mode (int i, int fl)
| Set the flags of item i.
const Fl_Menu_Item * | mvalue () const
| Return a pointer to the last menu item that was picked.
const Fl_Menu_Item * | picked (const Fl_Menu_Item *)
| When user picks a menu item, call this.
const Fl_Menu_Item * | prev_mvalue () const
| Return a pointer to the menu item that was picked before the current one was picked.
void | remove (int)
| Deletes item `i` from the menu.
void | replace (int, const char *)
| Changes the text of item `i`.
void | setonly (Fl_Menu_Item *item)
| Turns the radio item "on" for the menu item and turns "off" adjacent radio items of the same group.
void | shortcut (int i, int s)
| Change the shortcut of item `i` to `s`.
int | size () const
| This returns the number of Fl_Menu_Item structures that make up the menu, correctly counting submenus.
void | size (int W, int H)
const Fl_Menu_Item * | test_shortcut ()
| Returns the menu item with the entered shortcut (key value).
const char * | text () const
| Returns the title of the last item chosen.
const char * | text (int i) const
| Returns the title of item i.
Fl_Color | textcolor () const
| Get the current color of menu item labels.
void | textcolor (Fl_Color c)
| Sets the current color of menu item labels.
Fl_Font | textfont () const
| Gets the current font of menu item labels.
void | textfont (Fl_Font c)
| Sets the current font of menu item labels.
Fl_Fontsize | textsize () const
| Gets the font size of menu item labels.
void | textsize (Fl_Fontsize c)
| Sets the font size of menu item labels.
int | value () const
| Return the index into the menu() of the last item chosen by the user.
int | value (const Fl_Menu_Item *)
| Set the value of a menu to the menu item `m`.
int | value (int i)
| Set the value of the menu to index `i`.
Public Member Functions inherited from Fl_Widget
void | _clear_fullscreen ()
void | _set_fullscreen ()
void | activate ()
| Activates the widget.
unsigned int | active () const
| Returns whether the widget is active.
int | active_r () const
| Returns whether the widget and all of its parents are active.
Fl_Align | align () const
| Gets the label alignment.
void | align (Fl_Align alignment)
| Sets the label alignment.
long | argument () const
| Gets the current user data (long) argument that is passed to the callback function.
void | argument (long v)
| Sets the current user data (long) argument that is passed to the callback function.
virtual class Fl_Gl_Window * | as_gl_window ()
| Returns an Fl_Gl_Window pointer if this widget is an Fl_Gl_Window.
virtual class Fl_Gl_Window const * | as_gl_window () const
virtual Fl_Group * | as_group ()
| Returns an Fl_Group pointer if this widget is an Fl_Group.
virtual Fl_Group const * | as_group () const
virtual Fl_Window * | as_window ()
| Returns an Fl_Window pointer if this widget is an Fl_Window.
virtual Fl_Window const * | as_window () const
void | bind_deimage (Fl_Image *img)
| Sets the image to use as part of the widget label when in the inactive state.
void | bind_deimage (int f)
| Bind the inactive image to the widget, so the widget will delete the image when it is no longer needed.
void | bind_image (Fl_Image *img)
| Sets the image to use as part of the widget label when in the active state.
void | bind_image (int f)
| Bind the image to the widget, so the widget will delete the image when it is no longer needed.
Fl_Boxtype | box () const
| Gets the box type of the widget.
void | box (Fl_Boxtype new_box)
| Sets the box type for the widget.
Fl_Callback_p | callback () const
| Gets the current callback function for the widget.
void | callback (Fl_Callback *cb)
| Sets the current callback function for the widget.
void | callback (Fl_Callback *cb, Fl_Callback_User_Data *p, bool auto_free)
| Sets the current callback function and managed user data for the widget.
void | callback (Fl_Callback *cb, void *p)
| Sets the current callback function and data for the widget.
void | callback (Fl_Callback0 *cb)
| Sets the current callback function for the widget.
void | callback (Fl_Callback1 *cb, long p=0)
| Sets the current callback function for the widget.
unsigned int | changed () const
| Checks if the widget value changed since the last callback.
void | clear_active ()
| Marks the widget as inactive without sending events or changing focus.
void | clear_changed ()
| Marks the value of the widget as unchanged.
void | clear_damage (uchar c=0)
| Clears or sets the damage flags.
void | clear_output ()
| Sets a widget to accept input.
void | clear_visible ()
| Hides the widget.
void | clear_visible_focus ()
| Disables keyboard focus navigation with this widget.
Fl_Color | color () const
| Gets the background color of the widget.
void | color (Fl_Color bg)
| Sets the background color of the widget.
void | color (Fl_Color bg, Fl_Color sel)
| Sets the background and selection color of the widget.
Fl_Color | color2 () const
| For back compatibility only.
void | color2 (unsigned a)
| For back compatibility only.
int | contains (const Fl_Widget *w) const
| Checks if w is a child of this widget.
void | copy_label (const char *new_label)
| Sets the current label.
void | copy_tooltip (const char *text)
| Sets the current tooltip text.
uchar | damage () const
| Returns non-zero if draw() needs to be called.
void | damage (uchar c)
| Sets the damage bits for the widget.
void | damage (uchar c, int x, int y, int w, int h)
| Sets the damage bits for an area inside the widget.
int | damage_resize (int, int, int, int)
| Internal use only.
void | deactivate ()
| Deactivates the widget.
Fl_Image * | deimage ()
| Gets the image that is used as part of the widget label when in the inactive state.
const Fl_Image * | deimage () const
| Gets the image that is used as part of the widget label when in the inactive state.
void | deimage (Fl_Image &img)
| Sets the image to use as part of the widget label when in the inactive state.
void | deimage (Fl_Image *img)
| Sets the image to use as part of the widget label when in the inactive state.
int | deimage_bound () const
| Returns whether the inactive image is managed by the widget.
void | do_callback (Fl_Callback_Reason reason=FL_REASON_UNKNOWN)
| Calls the widget callback function with default arguments.
void | do_callback (Fl_Widget *widget, long arg, Fl_Callback_Reason reason=FL_REASON_UNKNOWN)
| Calls the widget callback function with arbitrary arguments.
void | do_callback (Fl_Widget *widget, void *arg=0, Fl_Callback_Reason reason=FL_REASON_UNKNOWN)
| Calls the widget callback function with arbitrary arguments.
void | draw_label (int, int, int, int, Fl_Align) const
| Draws the label in an arbitrary bounding box with an arbitrary alignment.
int | h () const
| Gets the widget height.
virtual void | hide ()
| Makes a widget invisible.
int | horizontal_label_margin ()
| Get the spacing between the label and the horizontal edge of the widget.
void | horizontal_label_margin (int px)
| Set the spacing between the label and the horizontal edge of the widget.
Fl_Image * | image ()
| Gets the image that is used as part of the widget label when in the active state.
const Fl_Image * | image () const
| Gets the image that is used as part of the widget label when in the active state.
void | image (Fl_Image &img)
| Sets the image to use as part of the widget label when in the active state.
void | image (Fl_Image *img)
| Sets the image to use as part of the widget label when in the active state.
int | image_bound () const
| Returns whether the image is managed by the widget.
int | inside (const Fl_Widget *wgt) const
| Checks if this widget is a child of `wgt`.
int | is_label_copied () const
| Returns whether the current label was assigned with copy_label().
const char * | label () const
| Gets the current label text.
void | label (const char *text)
| Sets the current label pointer.
void | label (Fl_Labeltype a, const char *b)
| Shortcut to set the label text and type in one call.
int | label_image_spacing ()
| Return the gap size between the label and the image.
void | label_image_spacing (int gap)
| Set the gap between the label and the image in pixels.
Fl_Color | labelcolor () const
| Gets the label color.
void | labelcolor (Fl_Color c)
| Sets the label color.
Fl_Font | labelfont () const
| Gets the font to use.
void | labelfont (Fl_Font f)
| Sets the font to use.
Fl_Fontsize | labelsize () const
| Gets the font size in pixels.
void | labelsize (Fl_Fontsize pix)
| Sets the font size in pixels.
Fl_Labeltype | labeltype () const
| Gets the label type.
void | labeltype (Fl_Labeltype a)
| Sets the label type.
void | measure_label (int &ww, int &hh) const
| Sets width ww and height hh accordingly with the label size.
bool | needs_keyboard () const
| Returns whether this widget needs a keyboard.
void | needs_keyboard (bool needs)
| Sets whether this widget needs a keyboard.
unsigned int | output () const
| Returns if a widget is used for output only.
Fl_Group * | parent () const
| Returns a pointer to the parent widget.
void | parent (Fl_Group *p)
| Internal use only - "for hacks only".
void | position (int X, int Y)
| Repositions the window or widget.
void | redraw ()
| Schedules the drawing of the widget.
void | redraw_label ()
| Schedules the drawing of the label.
virtual void | resize (int x, int y, int w, int h)
| Changes the size or position of the widget.
Fl_Color | selection_color () const
| Gets the selection color.
void | selection_color (Fl_Color a)
| Sets the selection color.
void | set_active ()
| Marks the widget as active without sending events or changing focus.
void | set_changed ()
| Marks the value of the widget as changed.
void | set_output ()
| Sets a widget to output only.
void | set_visible ()
| Makes the widget visible.
void | set_visible_focus ()
| Enables keyboard focus navigation with this widget.
int | shortcut_label () const
| Returns whether the widget's label uses '&' to indicate shortcuts.
void | shortcut_label (int value)
| Sets whether the widget's label uses '&' to indicate shortcuts.
virtual void | show ()
| Makes a widget visible.
void | size (int W, int H)
| Changes the size of the widget.
int | take_focus ()
| Gives the widget the keyboard focus.
unsigned int | takesevents () const
| Returns if the widget is able to take events.
int | test_shortcut ()
| Returns true if the widget's label contains the entered '&x' shortcut.
const char * | tooltip () const
| Gets the current tooltip text.
void | tooltip (const char *text)
| Sets the current tooltip text.
Fl_Window * | top_window () const
| Returns a pointer to the top-level window for the widget.
Fl_Window * | top_window_offset (int &xoff, int &yoff) const
| Finds the x/y offset of the current widget relative to the top-level window.
uchar | type () const
| Gets the widget type.
void | type (uchar t)
| Sets the widget type.
int | use_accents_menu ()
| Returns non zero if MAC_USE_ACCENTS_MENU flag is set, 0 otherwise.
void * | user_data () const
| Gets the user data for this widget.
void | user_data (Fl_Callback_User_Data *v, bool auto_free)
| Sets the user data for this widget.
void | user_data (void *v)
| Sets the user data for this widget.
int | vertical_label_margin ()
| Get the spacing between the label and the vertical edge of the widget.
void | vertical_label_margin (int px)
| Set the spacing between the label and the vertical edge of the widget.
unsigned int | visible () const
| Returns whether a widget is visible.
unsigned int | visible_focus () const
| Checks whether this widget has a visible focus.
void | visible_focus (int v)
| Modifies keyboard focus navigation.
int | visible_r () const
| Returns whether a widget and all its parents are visible.
int | w () const
| Gets the widget width.
Fl_When | when () const
| Returns the conditions under which the callback is called.
void | when (uchar i)
| Sets the flags used to decide when a callback is called.
Fl_Window * | window () const
| Returns a pointer to the nearest parent window up the widget hierarchy.
int | x () const
| Gets the widget position in its window.
int | y () const
| Gets the widget position in its window.
virtual | ~Fl_Widget ()
| Destroys the widget.

## Protected Member Functions
void | draw () FL_OVERRIDE
| Draws the widget.
Protected Member Functions inherited from Fl_Menu_
int | item_pathname_ (char *name, int namelen, const Fl_Menu_Item *finditem, const Fl_Menu_Item *menu=0) const
Protected Member Functions inherited from Fl_Widget
void | clear_flag (unsigned int c)
| Clears a flag in the flags mask.
void | draw_backdrop () const
| If FL_ALIGN_IMAGE_BACKDROP is set, the image or deimage will be drawn.
void | draw_box () const
| Draws the widget box according its box style.
void | draw_box (Fl_Boxtype t, Fl_Color c) const
| Draws a box of type t, of color c at the widget's position and size.
void | draw_box (Fl_Boxtype t, int x, int y, int w, int h, Fl_Color c) const
| Draws a box of type t, of color c at the position X,Y and size W,H.
void | draw_focus () const
| Draws a focus rectangle around the widget.
void | draw_focus (Fl_Boxtype t, int X, int Y, int W, int H) const
| Draws a focus rectangle around the widget.
void | draw_focus (Fl_Boxtype t, int x, int y, int w, int h, Fl_Color bg) const
| Draws a focus box for the widget at the given position and size.
void | draw_label () const
| Draws the widget's label at the defined label position.
void | draw_label (int, int, int, int) const
| Draws the label in an arbitrary bounding box.
| Fl_Widget (int x, int y, int w, int h, const char *label=0L)
| Creates a widget at the given position and size.
unsigned int | flags () const
| Gets the widget flags mask.
void | h (int v)
| Internal use only.
void | set_flag (unsigned int c)
| Sets a flag in the flags mask.
void | w (int v)
| Internal use only.
void | x (int v)
| Internal use only.
void | y (int v)
| Internal use only.

## Additional Inherited Members
Static Public Member Functions inherited from Fl_Widget
static void | default_callback (Fl_Widget *widget, void *data)
| The default callback for all widgets that don't set a callback.
static unsigned int | label_shortcut (const char *t)
| Returns the Unicode value of the '&x' shortcut in a given text.
static int | test_shortcut (const char *, const bool require_alt=false)
| Returns true if the given text `t` contains the entered '&x' shortcut.
Protected Types inherited from Fl_Widget
enum | { INACTIVE = 1<<0 , INVISIBLE = 1<<1 , OUTPUT = 1<<2 , NOBORDER = 1<<3 , FORCE_POSITION = 1<<4 , NON_MODAL = 1<<5 , SHORTCUT_LABEL = 1<<6 , CHANGED = 1<<7 , OVERRIDE = 1<<8 , VISIBLE_FOCUS = 1<<9 , COPIED_LABEL = 1<<10 , CLIP_CHILDREN = 1<<11 , MENU_WINDOW = 1<<12 , TOOLTIP_WINDOW = 1<<13 , MODAL = 1<<14 , NO_OVERLAY = 1<<15 , GROUP_RELATIVE = 1<<16 , COPIED_TOOLTIP = 1<<17 , FULLSCREEN = 1<<18 , MAC_USE_ACCENTS_MENU = 1<<19 , NEEDS_KEYBOARD = 1<<20 , IMAGE_BOUND = 1<<21 , DEIMAGE_BOUND = 1<<22 , AUTO_DELETE_USER_DATA = 1<<23 , MAXIMIZED = 1<<24 , POPUP = 1<<25 , USERFLAG3 = 1<<29 , USERFLAG2 = 1<<30 , USERFLAG1 = 1<<31 }
| flags possible values enumeration. More...
Protected Attributes inherited from Fl_Menu_
uchar | alloc
uchar | down_box_
Fl_Boxtype | menu_box_
Fl_Color | textcolor_
Fl_Font | textfont_
Fl_Fontsize | textsize_

## Detailed Description

A button that is used to pop up a menu.

This is a button that, when pushed, pops up a menu (or hierarchy of menus) defined by an array of Fl_Menu_Item objects. Motif calls this an OptionButton.

The only difference between this and a Fl_Menu_Button is that the name of the most recent chosen menu item is displayed inside the box, while the label is displayed outside the box. However, since the use of this is most often to control a single variable rather than do individual callbacks, some of the Fl_Menu_Button methods are redescribed here in those terms.

When the user clicks a menu item, value() is set to that item and then:

    - The item's callback is done if one has been set; the
      Fl_Choice is passed as the Fl_Widget* argument,
      along with any userdata configured for the callback.

    - If the item does not have a callback, the Fl_Choice widget's
      callback is done instead, along with any userdata configured
      for it.  The callback can determine which item was picked using
      value(), mvalue(), item_pathname(), etc.

All three mouse buttons pop up the menu. The Forms behavior of the first two buttons to increment/decrement the choice is not implemented. This could be added with a subclass, however.

The menu will also pop up in response to shortcuts indicated by putting a '&' character in the label(). See Fl_Button::shortcut(int s) for a description of this.

Typing the shortcut() of any of the items will do exactly the same as when you pick the item with the mouse. The '&' character in item names are only looked at when the menu is popped up, however.

The inherited Fl_Widget::changed() and related methods can be used as follows:

- int Fl_Widget::changed() const This value is true when the user picks a different value. It is turned off by value() and just before doing a callback (the callback can turn it back on if desired).
- void Fl_Widget::set_changed() This method sets the changed() flag.
- void Fl_Widget::clear_changed() This method clears the changed() flag.

The inherited Fl_Menu_::down_box() methods can be used as follows:

- Fl_Boxtype Fl_Menu_::down_box() const Gets the current down box, which is used when the menu is popped up. The default down box type is `FL_DOWN_BOX`.
- void Fl_Menu_::down_box(Fl_Boxtype b) Sets the current down box type to `b`.

Simple example:

  #include <FL/Fl.H>
  #include <FL/Fl_Window.H>
  #include <FL/Fl_Choice.H>
  int main() {
  Fl_Window *win = new Fl_Window(300,200);
  Fl_Choice *choice = new Fl_Choice(100,10,100,25,"Choice:");
  choice->add("Zero");
  choice->add("One");
  choice->add("Two");
  choice->add("Three");
  choice->value(2); // make "Two" selected by default (zero based!)
  win->end();
  win->show();
  return Fl::run();
  }
  Fl.H
  Fl static class.
  Fl_Window.H
  Fl_Window widget .
  Fl_Choice::Fl_Choice
  Fl_Choice(int X, int Y, int W, int H, const char *L=0)
  Create a new Fl_Choice widget using the given position, size and label string.
  Definition Fl_Choice.cxx:146
  Fl_Choice::value
  int value() const
  Gets the index of the last item chosen by the user.
  Definition Fl_Choice.H:116
  Fl_Group::end
  void end()
  Exactly the same as current(this->parent()).
  Definition Fl_Group.cxx:73
  Fl_Window
  This widget produces an actual window.
  Definition Fl_Window.H:55
  Fl_Window::show
  void show() FL_OVERRIDE
  Puts the window on the screen.
  Definition Fl_Window.cxx:546
  Fl::run
  static int run()
  Calls Fl::wait()repeatedly as long as any windows are displayed.
  Definition Fl.cxx:651

## Constructor & Destructor Documentation

## ◆ Fl_Choice()

Fl_Choice::Fl_Choice | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | L = 0 )

Create a new Fl_Choice widget using the given position, size and label string.

The default boxtype is `FL_UP_BOX`.

The constructor sets menu() to NULL. See Fl_Menu_ for the methods to set or change the menu.

Parameters

  [in] | X,Y,W,H | position and size of the widget
  [in] | L | widget label, default is no label

## Member Function Documentation

## ◆ draw()

void Fl_Choice::draw | ( |  | ) |
| protectedvirtual

Draws the widget.

Never call this function directly. FLTK will schedule redrawing whenever needed. If your widget must be redrawn as soon as possible, call redraw() instead.

Override this function to draw your own widgets.

If you ever need to call another widget's draw method from within your own draw() method, e.g. for an embedded scrollbar, you can do it (because draw() is virtual) like this:

Fl_Widget *s = &scrollbar; // scrollbar is an embedded Fl_Scrollbar
s->draw(); // calls Fl_Scrollbar::draw()

Implements Fl_Widget.

## ◆ handle()

int Fl_Choice::handle | ( | int | event | ) |
| virtual

Handles the specified event.

You normally don't call this method directly, but instead let FLTK do it when the user interacts with the widget.

When implemented in a widget, this function must return 0 if the widget does not use the event or 1 otherwise.

Most of the time, you want to call the inherited handle() method in your overridden method so that you don't short-circuit events that you don't handle. In this last case you should return the callee retval.

One exception to the rule in the previous paragraph is if you really want to override the behavior of the base class. This requires knowledge of the details of the inherited class.

In rare cases you may want to return 1 from your handle() method although you don't really handle the event. The effect would be to filter event processing, for instance if you want to dismiss non-numeric characters (keypresses) in a numeric input widget. You may "ring the bell" or show another visual indication or drop the event silently. In such a case you must not call the handle() method of the base class and tell FLTK that you consumed the event by returning 1 even if you didn't do anything with it.

Parameters

  [in] | event | the kind of event received

Return values

  0 | if the event was not used or understood
  1 | if the event was used and can be deleted

See also
  Fl_Event

Reimplemented from Fl_Widget.

Reimplemented in Fl_Scheme_Choice.

## ◆ value() [1/3]

int Fl_Choice::value | ( |  | ) | const
| inline

Gets the index of the last item chosen by the user.

The index is -1 initially.

## ◆ value() [2/3]

int Fl_Choice::value | ( | const Fl_Menu_Item * | v | ) |

Sets the currently selected value using a pointer to menu item.

Changing the selected value causes a redraw().

Parameters

  [in] | v | pointer to menu item in the menu item array.

Returns
  non-zero if the new value is different to the old one.

## ◆ value() [3/3]

int Fl_Choice::value | ( | int | v | ) |

Sets the currently selected value using the index into the menu item array.

Changing the selected value causes a redraw().

Parameters

  [in] | v | index of value in the menu item array.

Returns
  non-zero if the new value is different to the old one.

The documentation for this class was generated from the following files:

- Fl_Choice.H
- Fl_Choice.cxx